Issue 119998 - Migrate GUI testing Java library to AOO trunk
Migrate GUI testing Java library to AOO trunk
Status: CLOSED FIXED
Product: QA
Classification: Unclassified
Component: testscripts
3.4.1
All All
: P2 major
: 4.0.0
Assigned To: automat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 07:02 UTC by aliuzhe
Modified: 2013-07-12 11:30 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Java GUI Testing Framework for AOO (552.68 KB, patch)
2012-06-18 06:45 UTC, aliuzhe
no flags Details | Diff
The latest VCLAuto code (455.44 KB, patch)
2012-06-25 06:03 UTC, aliuzhe
debin.lei: review+
Details | Diff
The latest VCLAuto code (455.44 KB, patch)
2012-06-25 08:27 UTC, aliuzhe
no flags Details | Diff
Patch for vclauto (496.00 KB, patch)
2012-06-27 02:21 UTC, aliuzhe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description aliuzhe 2012-06-15 07:02:19 UTC
Migrate these modules:
symphony/trunk/main/testcommon->ooo/trunk/main/testcommon
symphony/trunk/main/testgui->ooo/trunk/main/testgui
symphony/trunk/main/test->ooo/trunk/main/test   or
ooo/trunk/main/testoo  (Avoid to conflict with the test module that
already exists in AOO)
Comment 1 aliuzhe 2012-06-18 06:45:54 UTC
Created attachment 78374 [details]
Java GUI Testing Framework for AOO

There are 4 modules in test.zip:
testassistant
testassistant.feature
testcommon
testscript

They all should be committed in https://svn.apache.org/repos/asf/incubator/ooo/trunk/main/
Comment 2 aliuzhe 2012-06-25 06:03:27 UTC
Created attachment 78455 [details]
The latest VCLAuto code

Upload the latest code. Unzip the attachment. There are two dirs, testcommon and testoo. Commit them into SRC_ROOT.
Comment 3 Lei Debin 2012-06-25 06:12:43 UTC
I have reviewed the code.
It is ok for me. Thx the excellent work.
Comment 4 aliuzhe 2012-06-25 08:27:57 UTC
Created attachment 78459 [details]
The latest VCLAuto code

Upload the new attachment. Fix the wrong project name.
Comment 5 aliuzhe 2012-06-27 02:21:04 UTC
Created attachment 78499 [details]
Patch for vclauto

After migrating code, one patch should be applied. I attached it.
Comment 6 aliuzhe 2012-07-20 04:49:34 UTC
Done!